%global git_commit 659fc71

Summary:       Java connection pool library
Name:          proxool
Version:       0.9.1
Release:       %mkrel 19
Group:         Development/Java
Epoch:         0
License:       ASL 2.0
URL:           http://proxool.sourceforge.net/
# Grabbing a newer version from git due to license change
# https://github.com/proxool/proxool/tarball/master
# (commit 659fc71e617151327779802a5171f0da8205918d)
Source0:       proxool-proxool-%{git_commit}.tar.gz
Source1:       proxool.pom
Patch0:        proxool-no-embedded-cglib.patch

BuildRequires: ant >= 0:1.7.1
BuildRequires: ant-junit
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: javapackages-local
BuildRequires: mvn(avalon-framework:avalon-framework-api)
BuildRequires: mvn(avalon-framework:avalon-framework-impl)
BuildRequires: mvn(avalon-logkit:avalon-logkit)
BuildRequires: mvn(com.puppycrawl.tools:checkstyle)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(dom4j:dom4j)
BuildRequires: mvn(hsqldb:hsqldb:1)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(javax.transaction:jta)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(net.sf.cglib:cglib)

BuildArch: noarch

%description
Transparently adds connection pooling to your existing JDBC driver.
Complies with the J2SE API, giving you the confidence to develop to
standards. You can monitor the performance of your database
connections and listen to connection events.
It's easy to configure using the JDBC API, XML, or Java property
files - you decide.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{git_commit}
#find . -name "*.jar" -exec rm {} \;
find . -type f -a -executable -exec chmod -x {} \;
rm -rf lib jarjar

%patch0 -p1 -b .sav0

sed -i.new_checkstyle "s|com.puppycrawl.tools.checkstyle.CheckStyleTask|com.puppycrawl.tools.checkstyle.ant.CheckstyleAntTask|" build.xml

sed -i.doclint "s|public="true"|public="true" additionalparam="-Xdoclint:none"|" build.xml

%mvn_file %{name}:%{name} %{name}

%build
CLASSPATH=$(build-classpath cglib avalon-framework glassfish-servlet-api) ant build-jar javadoc

%install
%mvn_artifact %{SOURCE1} build/%{name}-%{version}.jar
%mvn_install -J build/api

%files -f .mfiles
%doc CHANGES.txt README.txt
%license LICENCE.txt

%files javadoc -f .mfiles-javadoc
%license LICENCE.txt



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 0:0.9.1-19.mga6
+ Revision: 977762
- First rebuild of the java stack
- sync package proxool with fedora

* Tue Feb 09 2016 umeabot <umeabot> 0:0.9.1-9.mga6
+ Revision: 952029
- Mageia 6 Mass Rebuild

* Thu Jan 15 2015 daviddavid <daviddavid> 0:0.9.1-8.mga5
+ Revision: 810785
- use .mfiles generated during build
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 0:0.9.1-7.mga5
+ Revision: 745890
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:0.9.1-6.mga5
+ Revision: 687802
- Mageia 5 Mass Rebuild

* Wed Jan 01 2014 dmorgan <dmorgan> 0:0.9.1-5.mga4
+ Revision: 563739
- Replace servlet 2.5 with servlet 3.0

* Fri Oct 18 2013 umeabot <umeabot> 0:0.9.1-4.mga4
+ Revision: 517683
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0:0.9.1-3.mga3
+ Revision: 378258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 0:0.9.1-2.mga3
+ Revision: 291848
- Use fedora spec file layout

* Sun Nov 06 2011 gil <gil> 0.9.1-1.mga2
+ Revision: 164004
- imported package proxool


* Fri Aug 26 2011 Andy Grimm <agrimm@gmail.com> - 0:0.9.1-1
- initial build